/* (C) 2021 YiRing, Inc. */
package com.yiring.app.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldDefaults;
import lombok.experimental.SuperBuilder;

/**
 * 公共的ID查询参数类
 *
 * @author ifzm
 * @version 0.1 2019/5/28 22:11
 */
@ApiModel("公共的ID查询参数类")
@Valid
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class BasicIdParam implements Serializable {

    private static final long serialVersionUID = -8690942241103456893L;

    @ApiModelProperty(value = "id", example = "1", required = true)
    @NotNull(message = "id 不能为空")
    Long id;
}
